Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatNotificationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatNotificationSettings

Enclosing class:
  TdApi

public static final class TdApi.ChatNotificationSettings extends TdApi.Object
Contains information about notification settings for a chat or a forum topic.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`disableMentionNotifications`
If true, notifications for messages with mentions will be created as for an ordinary unread message.
`boolean`
`disablePinnedMessageNotifications`
If true, notifications for incoming pinned messages will be created as for an ordinary unread message.
`int`
`muteFor`
Time left before notifications will be unmuted, in seconds.
`boolean`
`muteStories`
True, if story notifications are disabled for the chat.
`boolean`
`showPreview`
True, if message content must be displayed in notifications.
`boolean`
`showStorySender`
True, if the sender of stories must be displayed in notifications.
`long`
`soundId`
Identifier of the notification sound to be played for messages; 0 if sound is disabled.
`long`
`storySoundId`
Identifier of the notification sound to be played for stories; 0 if sound is disabled.
`boolean`
`useDefaultDisableMentionNotifications`
If true, the value for the relevant type of chat or the forum chat is used instead of disableMentionNotifications.
`boolean`
`useDefaultDisablePinnedMessageNotifications`
If true, the value for the relevant type of chat or the forum chat is used instead of disablePinnedMessageNotifications.
`boolean`
`useDefaultMuteFor`
If true, the value for the relevant type of chat or the forum chat is used instead of muteFor.
`boolean`
`useDefaultMuteStories`
If true, the value for the relevant type of chat is used instead of muteStories.
`boolean`
`useDefaultShowPreview`
If true, the value for the relevant type of chat or the forum chat is used instead of showPreview.
`boolean`
`useDefaultShowStorySender`
If true, the value for the relevant type of chat is used instead of showStorySender.
`boolean`
`useDefaultSound`
If true, the value for the relevant type of chat or the forum chat is used instead of soundId.
`boolean`
`useDefaultStorySound`
If true, the value for the relevant type of chat is used instead of storySoundId.

## Constructor Summary

Constructors
Constructor
Description
`ChatNotificationSettings()`
Contains information about notification settings for a chat or a forum topic.
`ChatNotificationSettings(boolean useDefaultMuteFor, int muteFor, boolean useDefaultSound, long soundId, boolean useDefaultShowPreview, boolean showPreview, boolean useDefaultMuteStories, boolean muteStories, boolean useDefaultStorySound, long storySoundId, boolean useDefaultShowStorySender, boolean showStorySender, boolean useDefaultDisablePinnedMessageNotifications, boolean disablePinnedMessageNotifications, boolean useDefaultDisableMentionNotifications, boolean disableMentionNotifications)`
Contains information about notification settings for a chat or a forum topic.
`ChatNotificationSettings(DataInput input)`
Contains information about notification settings for a chat or a forum topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### useDefaultMuteFor

public boolean useDefaultMuteFor
If true, the value for the relevant type of chat or the forum chat is used instead of muteFor.

### muteFor

public int muteFor
Time left before notifications will be unmuted, in seconds.

### useDefaultSound

public boolean useDefaultSound
If true, the value for the relevant type of chat or the forum chat is used instead of soundId.

### soundId

public long soundId
Identifier of the notification sound to be played for messages; 0 if sound is disabled.

### useDefaultShowPreview

public boolean useDefaultShowPreview
If true, the value for the relevant type of chat or the forum chat is used instead of showPreview.

### showPreview

public boolean showPreview
True, if message content must be displayed in notifications.

### useDefaultMuteStories

public boolean useDefaultMuteStories
If true, the value for the relevant type of chat is used instead of muteStories.

### muteStories

public boolean muteStories
True, if story notifications are disabled for the chat.

### useDefaultStorySound

public boolean useDefaultStorySound
If true, the value for the relevant type of chat is used instead of storySoundId.

### storySoundId

public long storySoundId
Identifier of the notification sound to be played for stories; 0 if sound is disabled.

### useDefaultShowStorySender

public boolean useDefaultShowStorySender
If true, the value for the relevant type of chat is used instead of showStorySender.

### showStorySender

public boolean showStorySender
True, if the sender of stories must be displayed in notifications.

### useDefaultDisablePinnedMessageNotifications

public boolean useDefaultDisablePinnedMessageNotifications
If true, the value for the relevant type of chat or the forum chat is used instead of disablePinnedMessageNotifications.

### disablePinnedMessageNotifications

public boolean disablePinnedMessageNotifications
If true, notifications for incoming pinned messages will be created as for an ordinary unread message.

### useDefaultDisableMentionNotifications

public boolean useDefaultDisableMentionNotifications
If true, the value for the relevant type of chat or the forum chat is used instead of disableMentionNotifications.

### disableMentionNotifications

public boolean disableMentionNotifications
If true, notifications for messages with mentions will be created as for an ordinary unread message.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatNotificationSettings

public ChatNotificationSettings()
Contains information about notification settings for a chat or a forum topic.

### ChatNotificationSettings

public ChatNotificationSettings(boolean useDefaultMuteFor, int muteFor, boolean useDefaultSound, long soundId, boolean useDefaultShowPreview, boolean showPreview, boolean useDefaultMuteStories, boolean muteStories, boolean useDefaultStorySound, long storySoundId, boolean useDefaultShowStorySender, boolean showStorySender, boolean useDefaultDisablePinnedMessageNotifications, boolean disablePinnedMessageNotifications, boolean useDefaultDisableMentionNotifications, boolean disableMentionNotifications)
Contains information about notification settings for a chat or a forum topic.

Parameters:
  `useDefaultMuteFor` - If true, the value for the relevant type of chat or the forum chat is used instead of muteFor.
  `muteFor` - Time left before notifications will be unmuted, in seconds.
  `useDefaultSound` - If true, the value for the relevant type of chat or the forum chat is used instead of soundId.
  `soundId` - Identifier of the notification sound to be played for messages; 0 if sound is disabled.
  `useDefaultShowPreview` - If true, the value for the relevant type of chat or the forum chat is used instead of showPreview.
  `showPreview` - True, if message content must be displayed in notifications.
  `useDefaultMuteStories` - If true, the value for the relevant type of chat is used instead of muteStories.
  `muteStories` - True, if story notifications are disabled for the chat.
  `useDefaultStorySound` - If true, the value for the relevant type of chat is used instead of storySoundId.
  `storySoundId` - Identifier of the notification sound to be played for stories; 0 if sound is disabled.
  `useDefaultShowStorySender` - If true, the value for the relevant type of chat is used instead of showStorySender.
  `showStorySender` - True, if the sender of stories must be displayed in notifications.
  `useDefaultDisablePinnedMessageNotifications` - If true, the value for the relevant type of chat or the forum chat is used instead of disablePinnedMessageNotifications.
  `disablePinnedMessageNotifications` - If true, notifications for incoming pinned messages will be created as for an ordinary unread message.
  `useDefaultDisableMentionNotifications` - If true, the value for the relevant type of chat or the forum chat is used instead of disableMentionNotifications.
  `disableMentionNotifications` - If true, notifications for messages with mentions will be created as for an ordinary unread message.

### ChatNotificationSettings

public ChatNotificationSettings(DataInput input) throws IOException
Contains information about notification settings for a chat or a forum topic.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`